org.jgroups.demos.wb

## Class Node

- java.lang.Object
- - org.jgroups.demos.wb.Node

- All Implemented Interfaces:
    java.io.Serializable

      public class Node
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Address` | `addr`
    `double` | `dx`
    `double` | `dy`
    `boolean` | `fixed`
    `int` | `height`
    `java.lang.String` | `lbl`
    `int` | `width`
    `double` | `x`
    `int` | `xloc`
    `double` | `y`
    `int` | `yloc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

    - #### y

          public double y

    - #### dx

          public double dx

    - #### dy

          public double dy

    - #### fixed

          public boolean fixed

    - #### lbl

          public java.lang.String lbl

    - #### addr

          public Address addr

    - #### xloc

          public int xloc

    - #### yloc

          public int yloc

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### Node

          public Node()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.